Bug 1218734 - ehci-pci 0000:00:1d.0: port 1 resume error -19 on Acer C720 when resume from sleep
Summary: ehci-pci 0000:00:1d.0: port 1 resume error -19 on Acer C720 when resume from ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-05 17:33 UTC by Guillaume Poirier-Morency
Modified: 2018-04-06 18:15 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-06 18:15:11 UTC
Type: Bug


Attachments (Terms of Use)
dmesg log output (55.34 KB, text/plain)
2015-06-25 16:58 UTC, Guillaume Poirier-Morency
no flags Details
dmesg output Linux 4.2 (91.72 KB, text/plain)
2015-10-16 22:02 UTC, Alvaro Kuolas
no flags Details

Description Guillaume Poirier-Morency 2015-05-05 17:33:53 UTC
Description of problem:

Whenever my Acer C720 resumes from sleep, I get the following error

    ehci-pci 0000:00:1d.0: port 1 resume error -19

The laptop hangs on subsequent sleep or shutdown operations. Also, it fills my
logs with gigabytes if that error message.

How reproducible:

You need a recent kernel version on which suspend works.

Steps to Reproduce:

 1. close the lid and wait until it sleeps
 2. open the lid so that the laptop resumes

Actual results:

This error message appears:

    ehci-pci 0000:00:1d.0: port 1 resume error -19

Expected results:

No error message and the possiblity to sleep or shutdown.

Additional info:

This bug occurs since the suspend has been fixed by a certain kernel version.

I can test patches on my device without a problem!

Comment 1 Wade Berrier 2015-06-11 00:42:57 UTC
I have worked around this in the meantime with dropping this file in place:

/usr/lib/systemd/system-sleep/c720-suspend-fix.sh:

---------------

#!/bin/bash

case $1/$2 in
  pre/*)
    # Unbind ehci for preventing error 
    echo -n "0000:00:1d.0" | tee /sys/bus/pci/drivers/ehci-pci/unbind
    ;;
  post/*)
    # Bind ehci for preventing error 
    echo -n "0000:00:1d.0" | tee /sys/bus/pci/drivers/ehci-pci/bind
    ;;
esac


---------------

This was based on some fixes list on the web in other forums for the c720.

Comment 2 Joonas Kylmälä 2015-06-23 11:02:28 UTC
Vanilla kernel version 4.1 has fixed 'ehci-pci 0000:00:1d.0: port 1 resume error -19' error message at least in the case of Toshiba cb30-102 Chromebook, and now the laptop shutdowns normally. I would also assume that Acer C720 doesn't produce this error anymore because the hardware is similar. Can you try the 4.1 kernel to be sure?

Comment 3 Guillaume Poirier-Morency 2015-06-23 20:57:52 UTC
(In reply to Joonas Kylmälä from comment #2)
> Vanilla kernel version 4.1 has fixed 'ehci-pci 0000:00:1d.0: port 1 resume
> error -19' error message at least in the case of Toshiba cb30-102
> Chromebook, and now the laptop shutdowns normally. I would also assume that
> Acer C720 doesn't produce this error anymore because the hardware is
> similar. Can you try the 4.1 kernel to be sure?

It still does it, I have installed kernel-4.1.0-0.rc8.git0.2.fc23.x86_64 from the rawhide repository to check it.

Comment 4 Joonas Kylmälä 2015-06-23 21:15:04 UTC
(In reply to Guillaume Poirier-Morency from comment #3)
> (In reply to Joonas Kylmälä from comment #2)
> > Vanilla kernel version 4.1 has fixed 'ehci-pci 0000:00:1d.0: port 1 resume
> > error -19' error message at least in the case of Toshiba cb30-102
> > Chromebook, and now the laptop shutdowns normally. I would also assume that
> > Acer C720 doesn't produce this error anymore because the hardware is
> > similar. Can you try the 4.1 kernel to be sure?
> 
> It still does it, I have installed kernel-4.1.0-0.rc8.git0.2.fc23.x86_64
> from the rawhide repository to check it.

Try with the newer stable version (can be found from here: http://alt.fedoraproject.org/pub/alt/rawhide-kernel-nodebug/). RC8 didn't work for me, and stable did the trick!

Comment 5 Joonas Kylmälä 2015-06-23 22:33:23 UTC
Additional information:

I was still able to reproduce 'ehci-pci 0000:00:1d.0: port 1 resume error -19' error message in Toshiba's laptop in the latest kernel 4.1.0-1.fc23.i686 with a program called pm-suspend (not included with the OS). However, using the power button (lid doesn't work currently, so I can't test with that) to go to sleep, no error messages come, so everything works as expected. 

It was also interesting to see that pm-suspend resumed without errors after going at least once with the normal way to sleep.

Guillaume Poirier-Morency: does https://bugzilla.redhat.com/show_bug.cgi?id=1187767 bug appeal also to C720 version and in the latest Fedora version? Did it go to sleep almost immediately or did you had to wait the time that the system goes normally to sleep when inactive (I guess 5 min)? If the latter, maybe the suspend is handled in that case differently and that's why you got the error message etc... Just guessing.

Comment 6 Guillaume Poirier-Morency 2015-06-25 05:35:25 UTC
(In reply to Joonas Kylmälä from comment #4)
> (In reply to Guillaume Poirier-Morency from comment #3)
> > (In reply to Joonas Kylmälä from comment #2)
> > > Vanilla kernel version 4.1 has fixed 'ehci-pci 0000:00:1d.0: port 1 resume
> > > error -19' error message at least in the case of Toshiba cb30-102
> > > Chromebook, and now the laptop shutdowns normally. I would also assume that
> > > Acer C720 doesn't produce this error anymore because the hardware is
> > > similar. Can you try the 4.1 kernel to be sure?
> > 
> > It still does it, I have installed kernel-4.1.0-0.rc8.git0.2.fc23.x86_64
> > from the rawhide repository to check it.
> 
> Try with the newer stable version (can be found from here:
> http://alt.fedoraproject.org/pub/alt/rawhide-kernel-nodebug/). RC8 didn't
> work for me, and stable did the trick!

Same and I am now running kernel-4.1.0-1.fc23.x86_64

Even stranger, it does not seem to sleep when the lid is closed anymore.

Comment 7 Guillaume Poirier-Morency 2015-06-25 05:49:26 UTC
(In reply to Joonas Kylmälä from comment #5)
> Additional information:
> 
> I was still able to reproduce 'ehci-pci 0000:00:1d.0: port 1 resume error
> -19' error message in Toshiba's laptop in the latest kernel
> 4.1.0-1.fc23.i686 with a program called pm-suspend (not included with the
> OS). However, using the power button (lid doesn't work currently, so I can't
> test with that) to go to sleep, no error messages come, so everything works
> as expected. 
> 
> It was also interesting to see that pm-suspend resumed without errors after
> going at least once with the normal way to sleep.
> 
> Guillaume Poirier-Morency: does
> https://bugzilla.redhat.com/show_bug.cgi?id=1187767 bug appeal also to C720
> version and in the latest Fedora version? Did it go to sleep almost
> immediately or did you had to wait the time that the system goes normally to
> sleep when inactive (I guess 5 min)? If the latter, maybe the suspend is
> handled in that case differently and that's why you got the error message
> etc... Just guessing.

This bug, as far as I am concerned, was fixed a long time ago. The laptop actually suspends, but it produces the described error message when resumed.

I can suspend the laptop by closing the lid and suspending from the power menu in GNOME without a problem. It's exactly the same error that occurs.

I will check the lid again, it seemed not to be working with the latest kernel upgrade.

Comment 8 Guillaume Poirier-Morency 2015-06-25 05:52:42 UTC
(In reply to Guillaume Poirier-Morency from comment #7)
> (In reply to Joonas Kylmälä from comment #5)
> > Additional information:
> > 
> > I was still able to reproduce 'ehci-pci 0000:00:1d.0: port 1 resume error
> > -19' error message in Toshiba's laptop in the latest kernel
> > 4.1.0-1.fc23.i686 with a program called pm-suspend (not included with the
> > OS). However, using the power button (lid doesn't work currently, so I can't
> > test with that) to go to sleep, no error messages come, so everything works
> > as expected. 
> > 
> > It was also interesting to see that pm-suspend resumed without errors after
> > going at least once with the normal way to sleep.
> > 
> > Guillaume Poirier-Morency: does
> > https://bugzilla.redhat.com/show_bug.cgi?id=1187767 bug appeal also to C720
> > version and in the latest Fedora version? Did it go to sleep almost
> > immediately or did you had to wait the time that the system goes normally to
> > sleep when inactive (I guess 5 min)? If the latter, maybe the suspend is
> > handled in that case differently and that's why you got the error message
> > etc... Just guessing.
> 
> This bug, as far as I am concerned, was fixed a long time ago. The laptop
> actually suspends, but it produces the described error message when resumed.
> 
> I can suspend the laptop by closing the lid and suspending from the power
> menu in GNOME without a problem. It's exactly the same error that occurs.
> 
> I will check the lid again, it seemed not to be working with the latest
> kernel upgrade.

Closing the lid is working! Let me retract what I said.

Comment 9 Guillaume Poirier-Morency 2015-06-25 05:53:17 UTC
(In reply to Guillaume Poirier-Morency from comment #8)
> (In reply to Guillaume Poirier-Morency from comment #7)
> > (In reply to Joonas Kylmälä from comment #5)
> > > Additional information:
> > > 
> > > I was still able to reproduce 'ehci-pci 0000:00:1d.0: port 1 resume error
> > > -19' error message in Toshiba's laptop in the latest kernel
> > > 4.1.0-1.fc23.i686 with a program called pm-suspend (not included with the
> > > OS). However, using the power button (lid doesn't work currently, so I can't
> > > test with that) to go to sleep, no error messages come, so everything works
> > > as expected. 
> > > 
> > > It was also interesting to see that pm-suspend resumed without errors after
> > > going at least once with the normal way to sleep.
> > > 
> > > Guillaume Poirier-Morency: does
> > > https://bugzilla.redhat.com/show_bug.cgi?id=1187767 bug appeal also to C720
> > > version and in the latest Fedora version? Did it go to sleep almost
> > > immediately or did you had to wait the time that the system goes normally to
> > > sleep when inactive (I guess 5 min)? If the latter, maybe the suspend is
> > > handled in that case differently and that's why you got the error message
> > > etc... Just guessing.
> > 
> > This bug, as far as I am concerned, was fixed a long time ago. The laptop
> > actually suspends, but it produces the described error message when resumed.
> > 
> > I can suspend the laptop by closing the lid and suspending from the power
> > menu in GNOME without a problem. It's exactly the same error that occurs.
> > 
> > I will check the lid again, it seemed not to be working with the latest
> > kernel upgrade.
> 
> Closing the lid is working! Let me retract what I said.

But it still reproduce the same problem.

Comment 10 Joonas Kylmälä 2015-06-25 09:08:47 UTC
Guillaume Poirier-Morency do you get these two errors after sleep:

ehci-pci 0000:00:1d.0: can't setup: -19
ehci-pci 0000:00:1d.0: init 0000:00:1d.0 fail, -19 ?

----------------------------------------------------

This is when the system starts to go sleep:
[  425.731707] ehci-pci 0000:00:1d.0: remove, state 4
[  425.731719] usb usb3: USB disconnect, device number 1
[  425.731722] usb 3-1: USB disconnect, device number 2
[  425.737127] ehci-pci 0000:00:1d.0: USB bus 3 deregistered


Also my dmesg of ehcpi-pci 0000:00:1d:0 after sleep:

[  427.104794] ehci-pci 0000:00:1d.0: Refused to change power state, currently in D3
[  427.105008] ehci-pci 0000:00:1d.0: EHCI Host Controller
[  427.105546] ehci-pci 0000:00:1d.0: new USB bus registered, assigned bus number 3
[  427.105581] ehci-pci 0000:00:1d.0: can't setup: -19
[  427.105587] ehci-pci 0000:00:1d.0: USB bus 3 deregistered
[  427.108190] ehci-pci 0000:00:1d.0: init 0000:00:1d.0 fail, -19

Comment 11 Guillaume Poirier-Morency 2015-06-25 16:58:58 UTC
Created attachment 1043201 [details]
dmesg log output

I attached a dmesg output

The device attaches seems to be a USB controller:

    [    0.647089] usb usb3: New USB device found, idVendor=1d6b, idProduct=0002
    [    0.647091] usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
    [    0.647093] usb usb3: Product: EHCI Host Controller
    [    0.647096] usb usb3: Manufacturer: Linux 4.1.0-1.fc23.x86_64 ehci_hcd
    [    0.647098] usb usb3: SerialNumber: 0000:00:1d.0

I got this error happening early on boot which may be related:

    [   35.612205] usb 1-4: string descriptor 0 read error: -22

Later on..

    [   35.158386] usb 1-4: USB disconnect, device number 3

Comment 12 Frédéric Parrenin 2015-06-25 21:48:34 UTC
I don't know if it is related or not, but on fedora 21, I was sometimes losing sound after a resume. I was getting a "dummy output" when, e.g., increasing or decreasing the sound in gnome.
https://bugzilla.redhat.com/show_bug.cgi?id=1187870

Comment 13 Alvaro Kuolas 2015-10-16 21:32:19 UTC
I am running the latest Fedora 23 beta and it is still an issue.

Linux kernel 4.2.3-300.fc23.x86_64

Comment 14 Alvaro Kuolas 2015-10-16 22:02:33 UTC
Created attachment 1083813 [details]
dmesg output Linux 4.2

Comment 15 Alvaro Kuolas 2016-07-03 15:35:50 UTC
This is still an issue on Fedora 24 kernel 4.5.7-300.fc24.x86_64

Comment 16 Joonas Kylmälä 2016-07-07 13:59:59 UTC
Alvaro, can you test with just released 4.6.3-300.fc24.x86_64 kernel, too? I don't have the hardware to test this problem anymore, unfortunately.

Comment 17 Alvaro Kuolas 2016-09-17 11:33:30 UTC
I am currently testing Fedora 25 Alpha 2 and without issues.

Linux localhost 4.8.0-0.rc2.git3.1.fc25.x86_64 #1 SMP Fri Aug 19 14:24:04 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux


But I think the problem it is not Fedora, it is the John Lewis coreboot image. Because, I have changed to the UEFI coreboot image made by MattDevo (aka "MrChromebox") and works better than the SeaBIOS from John Lewis images.

I will test F24 and report back (right now I am on Live Image F25)

Comment 18 Alvaro Kuolas 2016-09-17 12:20:34 UTC
I have tested Fedora-Workstation-Live-x86_64-24-1.2.iso on a live session and the problem does not occur (no updates, just the image as is).

I am 99.999% sure that the issue is in SeaBIOS and not in the Linux Kernel, using coreboot + Tianocore does not render any issue.

The only thing that keeps popping up is the "usb 1-4: string descriptor 0 read error: -22", but I guess it is a USB device that is not 100% USB complaint.

Comment 19 Alvaro Kuolas 2016-09-22 21:21:50 UTC
According to the coreboot ROM packagers, the issue is not SeaBIOS nor the Linux Kernel, it was fixed upstream in coreboot.

See this reference:

https://plus.google.com/communities/112479827373921524726


Note You need to log in before you can comment on or make changes to this bug.